; DRUPAL FOR CHURCHES MAKE FILE 

; Set core version
core = 6.15
projects[] = drupal

; MODULES

; CCK and related
projects[cck][version] = 2.6
projects[filefield][version] = 3.2
projects[imagefield][version] = 3.2
projects[imagecache][version] = 2.0-beta10
projects[imageapi][version] = 1.6

; Views and related
projects[views][version] = 2.8
projects[views_bulk_operations][version] = 1.8

; Date and related 
projects[date][version] = 2.4
projects[calendar][version] = 2.2

; Features and related
projects[strongarm][version] = 2.0-beta2
projects[features][version] = 1.0-beta5
projects[context][version] = 3.0-alpha1

; Miscellaneous
projects[ctools][version] = 1.2
projects[pathauto][version] = 1.2
projects[token][version] = 1.12
projects[vertical_tabs][version] = 1.0-beta7
projects[auto_nodetitle][version] = 1.2
projects[diff][version] = 2.1-alpha3
projects[advanced_help][version] = 1.2
projects[custom_breadcrumbs][version] = 1.5
projects[ffpc][version] = 0.7
projects[swftools][version] = 2.5
projects[getid3][version] = 1.3
projects[jquery_ui][version] = 1.3
projects[admin][version] = 2.0-alpha4
projects[admin_theme][version] = 1.3

; Install profile specific modules
projects[sermons][version] = 1.0-beta1
; @TODO: Add Bible reference filter (to be selected)

; Add "Churches Core" set of install profile specific modules. Checking out from CVS for now.
projects[churches_core][download][type] = "cvs"
projects[churches_core][download][module] = "contributions/modules/churches_core"
projects[churches_core][download][revision] = "HEAD"

; Download latest WYSIWYG code via CVS. The 2.0 release is old and does not support CK Editor.
projects[wysiwyg][download][type] = "cvs"
projects[wysiwyg][download][module] = "contributions/modules/wysiwyg"
projects[wysiwyg][download][revision] = "DRUPAL-6--2"

; CVS checkout of FlashField for formatting various video options using Flow Player (experimental)
projects[flashfield][download][type] = "cvs"
projects[flashfield][download][module] = "contributions/modules/flashfield"
projects[flashfield][download][revision] = "HEAD"

; THEMES

; Adding DevSeed admin theme goodness
projects[tao][location] = http://code.developmentseed.org/fserver
projects[rubik][location] = http://code.developmentseed.org/fserver

; LIBRARIES

; jQuery UI
libraries[jquery_ui][download][type] = "get"
libraries[jquery_ui][download][url] = "http://jquery-ui.googlecode.com/files/jquery.ui-1.6.zip"
libraries[jquery_ui][directory_name] = "jquery.ui"
libraries[jquery_ui][destination] = "modules/jquery_ui"

; CK Editor
libraries[ckeditor][download][type] = "get"
libraries[ckeditor][download][url] = "http://download.cksource.com/CKEditor/CKEditor/CKEditor%203.0.1/ckeditor_3.0.1.tar.gz"
libraries[ckeditor][directory_name] = "ckeditor"

; GetID3
libraries[getid3][download][type] = "get"
libraries[getid3][download][url] = "http://downloads.sourceforge.net/project/getid3/getID3%28%29%201.x/1.7.9/getid3-1.7.9.zip"
libraries[getid3][directory_name] = "getid3"

; SWFObject 2
libraries[swfobject][download][type] = "get"
libraries[swfobject][download][url] = "http://swfobject.googlecode.com/files/swfobject_2_2.zip"
libraries[swfobject][directory_name] = swfobject2
libraries[swfobject][destination] = modules/swftools/shared

; 1pixelout Player 2.0 beta 6 (standalone download)
libraries[1pixelout][download][type] = "get"
libraries[1pixelout][download][url] = "http://wpaudioplayer.com/wp-content/downloads/audio-player-standalone.zip"
libraries[1pixelout][directory_name] = 1pixelout
libraries[1pixelout][destination] = modules/swftools/shared

; Flow Player 3.1
libraries[flowplayer][download][type] = "get"
libraries[flowplayer][download][url] = "http://releases.flowplayer.org/flowplayer/flowplayer-3.1.5.zip"
libraries[flowplayer][directory_name] = flowplayer3
libraries[flowplayer][destination] = modules/swftools/shared

; Also add in Flow Player audio plugin for MP3 support
libraries[flowplayer_audio][download][type] = "get"
libraries[flowplayer_audio][download][url] = "http://releases.flowplayer.org/flowplayer.audio/flowplayer.audio-3.1.2.zip"
libraries[flowplayer_audio][directory_name] = flowplayer3
libraries[flowplayer_audio][destination] = modules/swftools/shared

; PATCHES

; Apply patch to get SWF Tools to recognize the location of the FlowPlayer audio plugin
projects[swftools][patch][] = "http://drupal.org/files/issues/flow_player_audio2.patch"

; @TODO: Automate the removal of the GetID3 demos directory